## berkeley-express 1.5.1

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6)

project(express)

set(${PROJECT_NAME}_VERSION_MAJOR 1)
set(${PROJECT_NAME}_VERSION_MINOR 5)
set(${PROJECT_NAME}_VERSION_PATCH 1)

set(CMAKE_CXX_FLAGS "-Wall")

set(CMAKE_CXX_FLAGS_DEBUG "-g ${CMAKE_CXX_FLAGS}")
set(CMAKE_CXX_FLAGS_RHDEBINFO "-O3 -g ${CMAKE_CXX_FLAGS}")
set(CMAKE_CXX_FLAGS_MINSIZEREL "-Os ${CMAKE_CXX_FLAGS}")

set(CMAKE_BUILD_TYPE Release)
set(Boost_USE_STATIC_LIBS ON)

find_package(Boost 1.39
    COMPONENTS
        thread
   	system
    	filesystem
    	program_options
    	date_time
    REQUIRED)

find_library(GPERFTOOLS_TCMALLOC_LIB tcmalloc)
if (GPERFTOOLS_TCMALLOC_LIB)
   message(STATUS "Found GPERFTOOLS_TCMALLOC: ${GPERFTOOLS_TCMALLOC_LIB}")
else (GPERFTOOLS_TCMALLOC_LIB)
   message(STATUS "Could NOT find GPERFTOOLS_TCMALLOC: Install to improve speed.")
endif(GPERFTOOLS_TCMALLOC_LIB)

find_package(Protobuf)
if (PROTOBUF_FOUND)
  include_directories(${Boost_INCLUDE_DIRS} ${PROTOBUF_INCLUDE_DIR} "${CMAKE_CURRENT_SOURCE_DIR}/bamtools/include") 
	set(PROTO_INT 1)
else (PROTOBUF_FOUND)
  include_directories(${Boost_INCLUDE_DIRS} "${CMAKE_CURRENT_SOURCE_DIR}/bamtools/include") 
	set(PROTO_INT 0)
endif(PROTOBUF_FOUND)

if(WIN32)
	set(CMAKE_CXX_FLAGS "/EHsc")
	set(WIN32_INT 1)
else(WIN32)
	find_package(ZLIB REQUIRED)
	set(WIN32_INT 0)
endif(WIN32)

configure_file (
  "${PROJECT_SOURCE_DIR}/src/config.h.in"
  "${PROJECT_SOURCE_DIR}/src/config.h"
  )


add_subdirectory(src)

=== src/CMakeLists.txt ===
file(GLOB sources *.cpp)

if (PROTOBUF_FOUND) 
  file(GLOB ProtoFiles "${CMAKE_CURRENT_SOURCE_DIR}/*.proto")
  PROTOBUF_GENERATE_CPP(PROTO_SOURCES PROTO_HEADERS ${ProtoFiles})
endif(PROTOBUF_FOUND)

add_executable(express ${sources} ${headers} ${PROTO_SOURCES} ${PROTO_HEADERS})

set(LIBRARIES ${Boost_LIBRARIES} ${ZLIB_LIBRARIES})

if (GPERFTOOLS_TCMALLOC) 
   set(LIBRARIES ${LIBRARIES} "libtcmalloc_minimal.a")
endif (GPERFTOOLS_TCMALLOC)

if(WIN32)
  set(LIBRARIES ${LIBRARIES} "${CMAKE_CURRENT_SOURCE_DIR}/../bamtools/lib/libbamtools.lib" "${CMAKE_CURRENT_SOURCE_DIR}/../win_build/zlibd.lib")
else(WIN32)
  set(LIBRARIES ${LIBRARIES} "${CMAKE_CURRENT_SOURCE_DIR}/../bamtools/lib/libbamtools.a" "pthread")
endif(WIN32)

if (PROTOBUF_FOUND)
  set(LIBRARIES ${LIBRARIES} "libprotobuf.a")
endif(PROTOBUF_FOUND)

target_link_libraries(express ${LIBRARIES})

install(TARGETS express DESTINATION bin)

=== debian/changelog ===
berkeley-express (1.5.1-3build2) bionic; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Oct 2017 17:09:55 +0000

berkeley-express (1.5.1-3build1) zesty; urgency=high

  * No change rebuild against boost1.62.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 01 Nov 2016 16:09:43 +0000

berkeley-express (1.5.1-3) unstable; urgency=medium

  * Make build reproducible by redefining __FILE__ due to protoc's path leak.
  * Mark -doc package as Multi-Arch: foreign.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 19 Sep 2016 11:26:57 -0700

berkeley-express (1.5.1-2) unstable; urgency=medium

  * Team upload.
  * d/p/gcc-6: Fix compilation with gcc-6, Closes: #811859
  * cme fix dpkg-control: 
    - update standards version to 3.9.8
    - update to secure packaging urls
  * d/p/correct-debug-flags: don't force debug flags and 
    dynamically link to BOOST, protobuf and tcmalloc_minimal
  * d/rules: enable hardening 

 -- Gert Wollny <gw.fossdev@gmail.com>  Tue, 26 Jul 2016 18:38:52 +0000

berkeley-express (1.5.1-1) unstable; urgency=low

  * Initial release (Closes: #778589)

 -- Michael R. Crusoe <crusoe@ucdavis.edu>  Fri, 21 Aug 2015 17:18:15 -0700

=== debian/control ===
Source: berkeley-express
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               libboost-thread-dev,
               libboost-system-dev,
               libboost-filesystem-dev,
               libboost-program-options-dev,
               libboost-date-time-dev,
               libbamtools-dev,
               libboost-tools-dev,
               libgoogle-perftools-dev [amd64 arm64 armel armhf i386 powerpc ppc64el],
               cmake,
               libprotobuf-dev,
               protobuf-compiler
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/express.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/express.git
Homepage: http://bio.math.berkeley.edu/eXpress/index.html

Package: berkeley-express
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: med-config (>= 2.1)
Description: Streaming quantification for high-throughput sequencing
 eXpress is a streaming tool for quantifying the abundances of a set of
 target sequences from sampled subsequences. Example applications include
 transcript-level RNA-Seq quantification, allele-specific/haplotype
 expression analysis (from RNA-Seq), transcription factor binding
 quantification in ChIP-Seq, and analysis of metagenomic data. It is
 based on an online-EM algorithm that results in space (memory)
 requirements proportional to the total size of the target sequences and
 time requirements that are proportional to the number of sampled
 fragments. Thus, in applications such as RNA-Seq, eXpress can accurately
 quantify much larger samples than other currently available tools
 greatly reducing computing infrastructure requirements. eXpress can be
 used to build lightweight high-throughput sequencing processing
 pipelines when coupled with a streaming aligner (such as Bowtie), as
 output can be piped directly into eXpress, effectively eliminating the
 need to store read alignments in memory or on disk.
 .
 In an analysis of the performance of eXpress for RNA-Seq data, it was
 observed that this efficiency does not come at a cost of accuracy.
 eXpress is more accurate than other available tools, even when limited
 to smaller datasets that do not require such efficiency. Moreover, like
 the Cufflinks program, eXpress can be used to estimate transcript
 abundances in multi-isoform genes. eXpress is also able to resolve
 multi-mappings of reads across gene families, and does not require a
 reference genome so that it can be used in conjunction with de novo
 assemblers such as Trinity, Oases, or Trans-ABySS. The underlying model
 is based on previously described probabilistic models developed for
 RNA-Seq but is applicable to other settings where target sequences are
 sampled, and includes parameters for fragment length distributions,
 errors in reads, and sequence-specific fragment bias.
 .
 eXpress can be used to resolve ambiguous mappings in other
 high-throughput sequencing based applications. The only required inputs
 to eXpress are a set of target sequences and a set of sequenced
 fragments multiply-aligned to them.  While these target sequences will
 often be gene isoforms, they need not be. Haplotypes can be used as the
 reference for allele-specific expression analysis, binding regions for
 ChIP-Seq, or target genomes in metagenomics experiments. eXpress is
 useful in any analysis where reads multi-map to sequences that differ in
 abundance.

Package: berkeley-express-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: Documentation for RNA-Seq tool eXpress
 This package provides a PDF with the documentation for eXpress.
 .
 eXpress is a streaming tool for quantifying the abundances of a set of
 target sequences from sampled subsequences. Example applications include
 transcript-level RNA-Seq quantification, allele-specific/haplotype
 expression analysis (from RNA-Seq), transcription factor binding
 quantification in ChIP-Seq, and analysis of metagenomic data. It is
 based on an online-EM algorithm that results in space (memory)
 requirements proportional to the total size of the target sequences and
 time requirements that are proportional to the number of sampled
 fragments. Thus, in applications such as RNA-Seq, eXpress can accurately
 quantify much larger samples than other currently available tools
 greatly reducing computing infrastructure requirements. eXpress can be
 used to build lightweight high-throughput sequencing processing
 pipelines when coupled with a streaming aligner (such as Bowtie), as
 output can be piped directly into eXpress, effectively eliminating the
 need to store read alignments in memory or on disk.
 .
 In an analysis of the performance of eXpress for RNA-Seq data, it was
 observed that this efficiency does not come at a cost of accuracy.
 eXpress is more accurate than other available tools, even when limited
 to smaller datasets that do not require such efficiency. Moreover, like
 the Cufflinks program, eXpress can be used to estimate transcript
 abundances in multi-isoform genes. eXpress is also able to resolve
 multi-mappings of reads across gene families, and does not require a
 reference genome so that it can be used in conjunction with de novo
 assemblers such as Trinity, Oases, or Trans-ABySS. The underlying model
 is based on previously described probabilistic models developed for
 RNA-Seq but is applicable to other settings where target sequences are
 sampled, and includes parameters for fragment length distributions,
 errors in reads, and sequence-specific fragment bias.
 .
 eXpress can be used to resolve ambiguous mappings in other
 high-throughput sequencing based applications. The only required inputs
 to eXpress are a set of target sequences and a set of sequenced
 fragments multiply-aligned to them.  While these target sequences will
 often be gene isoforms, they need not be. Haplotypes can be used as the
 reference for allele-specific expression analysis, binding regions for
 ChIP-Seq, or target genomes in metagenomics experiments. eXpress is
 useful in any analysis where reads multi-map to sequences that differ in
 abundance.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CPPFLAGS += -D__FILE__=\"\"
export CPPFLAGS
DH_VERBOSE := 1

%:
	dh $@ --parallel


override_dh_compress:
	dh_compress --exclude=express-doc.pdf

override_dh_clean:
	dh_clean src/config.h

=== debian/watch ===
version=3

http://bio.math.berkeley.edu/eXpress/ downloads/express-.*/express-(\d[\d\.]+)-src\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## berkeley-express 1.5.2+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -41,12 +41,26 @@
 endif(PROTOBUF_FOUND)
 
 if(WIN32)
+    if (EXISTS "${PROJECT_SOURCE_DIR}/bamtools/lib/libbamtools.lib")
+      set(BAMTOOLS_LIBRARIES "${PROJECT_SOURCE_DIR}/bamtools/lib/libbamtools.lib")
+    else()
+      find_library(BAMTOOLS_LIBRARIES libbamtools.lib)
+    endif()
 	set(CMAKE_CXX_FLAGS "/EHsc")
 	set(WIN32_INT 1)
 else(WIN32)
+    if (EXISTS "${PROJECT_SOURCE_DIR}/bamtools/lib/libbamtools.a")
+      set(BAMTOOLS_LIBRARIES "${PROJECT_SOURCE_DIR}/bamtools/lib/libbamtools.a")
+    else()
+      find_library(BAMTOOLS_LIBRARIES libbamtools.a)
+    endif()
 	find_package(ZLIB REQUIRED)
 	set(WIN32_INT 0)
 endif(WIN32)
+
+if (NOT BAMTOOLS_LIBRARIES)
+    message(FATAL_ERROR "Could not find libbamtools")
+endif(NOT BAMTOOLS_LIBRARIES)
 
 configure_file (
   "${PROJECT_SOURCE_DIR}/src/config.h.in"

=== src/CMakeLists.txt ===
file(GLOB sources *.cpp)

if (PROTOBUF_FOUND) 
  file(GLOB ProtoFiles "${CMAKE_CURRENT_SOURCE_DIR}/*.proto")
  PROTOBUF_GENERATE_CPP(PROTO_SOURCES PROTO_HEADERS ${ProtoFiles})
endif(PROTOBUF_FOUND)

add_executable(express ${sources} ${headers} ${PROTO_SOURCES} ${PROTO_HEADERS})

set(LIBRARIES ${Boost_LIBRARIES} ${ZLIB_LIBRARIES} ${BAMTOOLS_LIBRARIES})

if (GPERFTOOLS_TCMALLOC) 
   set(LIBRARIES ${LIBRARIES} "libtcmalloc_minimal.a")
endif (GPERFTOOLS_TCMALLOC)

if (PROTOBUF_FOUND)
  get_filename_component(PROTOBUF_LIB_DIR ${PROTOBUF_LIBRARY} DIRECTORY)
  set(LIBRARIES ${LIBRARIES} "${PROTOBUF_LIB_DIR}/libprotobuf.a")
endif(PROTOBUF_FOUND)

if (WIN32)
target_link_libraries(express ${LIBRARIES})
else(WIN32)
target_link_libraries(express ${LIBRARIES} pthread rt)
endif(WIN32)
install(TARGETS express DESTINATION bin)

=== debian/changelog ===
berkeley-express (1.5.2+dfsg-1) unstable; urgency=medium

  * Team upload

  [ Steffen Moeller ]
  * d/control: update stadards version to 4.1.3 (no changes required)
  * d/u/metadata:
    - added references to registries
    - yamllint cleanliness

  [ Andreas Tille ]
  * New upstream version
  * d/watch: point to GitHub after upstream has added release tags
  * Point Vcs fields to salsa.debian.org (the URL is also normalized to the
    package name as per cme and general considerations)
  * debhelper 11
  * express-doc.pdf is not in upstream source any more
  * Exclude binaries and other unneeded files like download archives
    of previous versions
  * provide html documentation
  * avoid privace breach JS in html doc

 -- Andreas Tille <tille@debian.org>  Sun, 08 Apr 2018 18:07:07 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: berkeley-express
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11~),
                libboost-thread-dev,
                libboost-system-dev,
                libboost-filesystem-dev,
@@ -16,9 +15,9 @@
                cmake,
                libprotobuf-dev,
                protobuf-compiler
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/express.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/express.git
+Standards-Version: 4.1.3
+Vcs-Browser: https://salsa.debian.org/med-team/berkeley-express
+Vcs-Git: https://salsa.debian.org/med-team/berkeley-express.git
 Homepage: http://bio.math.berkeley.edu/eXpress/index.html
 
 Package: berkeley-express

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
  https://github.com/adarob/eXpress/releases .*/archive/@ANY_VERSION@@ARCHIVE_EXT@

## berkeley-express 1.5.3%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: berkeley-express
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Uploaders: Michael R. Crusoe <crusoe@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 13),
                libboost-thread-dev,
                libboost-system-dev,
                libboost-filesystem-dev,
@@ -15,16 +16,17 @@
                cmake,
                libprotobuf-dev,
                protobuf-compiler
-Standards-Version: 4.1.3
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/berkeley-express
 Vcs-Git: https://salsa.debian.org/med-team/berkeley-express.git
 Homepage: http://bio.math.berkeley.edu/eXpress/index.html
+Rules-Requires-Root: no
 
 Package: berkeley-express
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends}
-Recommends: med-config (>= 2.1)
+Recommends: med-config
 Description: Streaming quantification for high-throughput sequencing
  eXpress is a streaming tool for quantifying the abundances of a set of
  target sequences from sampled subsequences. Example applications include

## berkeley-express 1.5.3+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,6 +5,9 @@
 set(${PROJECT_NAME}_VERSION_MAJOR 1)
 set(${PROJECT_NAME}_VERSION_MINOR 5)
 set(${PROJECT_NAME}_VERSION_PATCH 1)
+
+set(CMAKE_CXX_STANDARD 11)
+set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 set(CMAKE_CXX_FLAGS "-Wall")

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 add_executable(express ${sources} ${headers} ${PROTO_SOURCES} ${PROTO_HEADERS})
 
-set(LIBRARIES ${Boost_LIBRARIES} ${ZLIB_LIBRARIES} ${BAMTOOLS_LIBRARIES})
+set(LIBRARIES ${Boost_LIBRARIES} ${BAMTOOLS_LIBRARIES} ${ZLIB_LIBRARIES})
 
 if (GPERFTOOLS_TCMALLOC) 
    set(LIBRARIES ${LIBRARIES} "libtcmalloc_minimal.a")
@@ -20,7 +20,9 @@
 
 if (WIN32)
 target_link_libraries(express ${LIBRARIES})
-else(WIN32)
+elseif(APPLE)
+target_link_libraries(express ${LIBRARIES} pthread)
+elseif(UNIX)
 target_link_libraries(express ${LIBRARIES} pthread rt)
-endif(WIN32)
+endif()
 install(TARGETS express DESTINATION bin)

=== debian/changelog ===
berkeley-express (1.5.3+dfsg-4) unstable; urgency=medium

  * Team upload.
  * d/watch: version=5
  * Fix build with CMake 4
    Closes: #1112724
  * Standards-Version: 4.7.2 (routine-update)
  * debputy lint --auto-fix (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 16 Oct 2025 10:31:34 +0200

berkeley-express (1.5.3+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Fix watch file
  * Standards-Version: 4.6.1 (routine-update)
  * Lintian-overrides for false positives

 -- Andreas Tille <tille@debian.org>  Tue, 01 Nov 2022 20:13:24 +0100

berkeley-express (1.5.3+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Fix watchfile to detect new versions on github
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * No tab in license text (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Wed, 13 Oct 2021 14:29:57 +0200

berkeley-express (1.5.3+dfsg-1) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.
  * Trim trailing whitespace.

  [ Michael R. Crusoe ]
  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * -doc: Include the sample data
  * remove the version check for privacy

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 17 Nov 2019 17:17:25 +0100

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,23 @@
 Source: berkeley-express
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Michael R. Crusoe <crusoe@debian.org>
+Standards-Version: 4.7.2
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Uploaders:
+ Michael R. Crusoe <crusoe@debian.org>,
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 13),
-               libboost-thread-dev,
-               libboost-system-dev,
-               libboost-filesystem-dev,
-               libboost-program-options-dev,
-               libboost-date-time-dev,
-               libbamtools-dev,
-               libboost-tools-dev,
-               libgoogle-perftools-dev [amd64 arm64 armel armhf i386 powerpc ppc64el],
-               cmake,
-               libprotobuf-dev,
-               protobuf-compiler
-Standards-Version: 4.6.1
+Build-Depends:
+ debhelper-compat (= 13),
+ libboost-thread-dev,
+ libboost-system-dev,
+ libboost-filesystem-dev,
+ libboost-program-options-dev,
+ libboost-date-time-dev,
+ libbamtools-dev,
+ libboost-tools-dev,
+ libgoogle-perftools-dev [amd64 arm64 armel armhf i386 powerpc ppc64el],
+ cmake,
+ libprotobuf-dev,
+ protobuf-compiler,
 Vcs-Browser: https://salsa.debian.org/med-team/berkeley-express
 Vcs-Git: https://salsa.debian.org/med-team/berkeley-express.git
 Homepage: http://bio.math.berkeley.edu/eXpress/index.html
@@ -24,9 +25,11 @@
 
 Package: berkeley-express
 Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends}
-Recommends: med-config
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
+Recommends:
+ med-config,
 Description: Streaming quantification for high-throughput sequencing
  eXpress is a streaming tool for quantifying the abundances of a set of
  target sequences from sampled subsequences. Example applications include
@@ -72,7 +75,8 @@
 Architecture: all
 Multi-Arch: foreign
 Section: doc
-Depends: ${misc:Depends}
+Depends:
+ ${misc:Depends},
 Description: Documentation for RNA-Seq tool eXpress
  This package provides a PDF with the documentation for eXpress.
  .

=== debian/rules ===
--- 
+++ 
@@ -7,8 +7,10 @@
 DH_VERBOSE := 1
 
 %:
-	dh $@ --parallel
+	dh $@
 
+override_dh_auto_configure:
+	dh_auto_configure -- -DCMAKE_POLICY_VERSION_MINIMUM=3.5
 
 override_dh_compress:
 	dh_compress --exclude=express-doc.pdf

=== debian/tests/control ===
Tests: run-tests
Depends: @, bowtie, samtools, gzip
Restrictions: allow-stderr

=== debian/watch ===
Version: 5

Template: Github
Owner: adarob
Project: eXpress
Repack-Suffix: +dfsg
Dversion-Mangle: auto
